drm lockups on g965 hardware

Bug #104673 reported by Peter Cordes on 2007-04-09
14
Affects Status Importance Assigned to Milestone
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: linux-source-2.6.20

 All Feisty needs to support 3D on Intel g965 hardware without frequent crashes or lockups is to use a newer version of the kernel drm drivers. It has i915 drm 1.6.0, but libdrm from git is currently at 1.9.0.

 Running feisty's AMD64 2.6.20-14-generic, and with X started in an AMD64 feisty chroot, some openGL programs can trigger a bug, and get a message like:
Apr 8 03:34:25 tesla kernel: [133430.971457] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 16309404 emitted: 16312306

 And the X server exits, leaving the image on screen unchanged. re-starting X fails, because the hardware is confused. (A reboot, or at least a suspend/resume to re-POST the video is needed.)

 How frequently this happens depends on the program. Some games seem to trigger this within 15 minutes to an hour. Others not at all. I think it depends on what graphics effects are enabled, too. Anyway, currently feisty on g965 hardware will, I think, give the average gamer crashes on the order of once in an hour of gameplay.

 Using kernel-side drm modules compiled from the latest git makes Feisty's mesa work great. (i915 version 1.9.0). I played nexuiz for > 8 hours on it :) With Feisty's kernel drm modules, nexuiz sometimes made the video lock up, as above. So as I said, kernel drm modules are the only thing holding Feisty back from working fairly solidly out of the box on g965 hardware. (2D support is ok already).

 It might not be necessary to go all the way to 1.9.0. I've been compiling the latest drm and mesa on edgy for months now, with quite good results.

Brian Pitts (bpitts) wrote :
Download full text (5.5 KiB)

I have an Inspiron 1420N with Ubuntu 7.04 installed by Dell. When I launch certain OpenGL applications (e.g. the screensaver Euphoria) X locks up. X does not respond to ctrl-alt-backspace and I cannot switch virtual terminals. I do stay logged in over ssh. The last entry in /var/log/messages is "[ 2674.200000] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 34 emitted: 62". That last number, 62, varies.

If X was started by GDM, gdm detects that it locked up and restarts it. However, X does not start and gdm sits forever trying to start it. Stopping gdm and trying startx as root gives the following messages:

xauth: creating new authority file /home/brian/.serverauth.6778

X Window System Version 7.2.0
Release Date: 22 January 2007
X Protocol Version 11, Revision 0, Release 7.2
Build Operating System: Linux Ubuntu
Current Operating System: Linux dell 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686
Build Date: 04 April 2007
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Jul 22 22:15:55 2007
(==) Using config file: "/etc/X11/xorg.conf"
(WW) I810: No matching Device section for instance (BusID PCI:0:2:1) found
Synaptics Touchpad no synaptics event device found (checked 19 nodes)
Query no Synaptics: 6003C8
(EE) Synaptics Touchpad no synaptics touchpad detected and no repeater device
(EE) Synaptics Touchpad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "Synaptics Touchpad"
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
        No such file or directory.
Error opening /dev/input/wacom : No such file or directory
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
        No such file or directory.
Error opening /dev/input/wacom : No such file or directory
(EE) xf86OpenSerial: Cannot open device /dev/input/wacom
        No such file or directory.
Error opening /dev/input/wacom : No such file or directory
Could not init font path element /usr/X11R6/lib/X11/fonts/misc, removing from list!
Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
Could not init font path element /usr/X11R6/lib/X11/fonts/Type1, removing from list!
Error in I830WaitLpRing(), now is 487836, start is 485835
pgetbl_ctl: 0x3ff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: 48 head: 0 len: 1f001 start 0
eir: 0 esr: 0 emr: ffdf
instdone: 0 instpm: 0
memmode: 0 instps: 0
hwstam: dffe ier: a2 imr: 0 iir: 0
space: 130992 wanted 131064

Fatal server error:
lockup

Error in I830WaitLpRing(), now is 489844, start is 487843
pgetbl_ctl: 0x3ff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: 50 head: 0 len: 1f001 start 0
eir: 0 esr: 0 emr: ffdf
instdone: 0 instpm: 0
memmode: 0 instps: 0
hwstam: dffe ier: a2 imr: 0 iir: 0
space: 130984 wanted 131064

FatalError re-entered, aborting
lockup

xinit: connection to X server lost.

waiting for X serve...

Read more...

Brian Pitts (bpitts) wrote :

It looks like this is fixed in Gutsy.

http://ubuntuforums.org/showthread.php?t=506744

Peter, now that the 7.10 Gutsy Gibbon release of Ubuntu is out, we were wondering if you can still reproduce this issue. Could you please download and try the new version of Ubuntu from http://www.ubuntu.com/getubuntu/download and report back your results. If the issue is still present in the new release, please attach the following information:

* uname -a > uname-a.log
* cat /proc/version_signature > version.log
* dmesg > dmesg.log
* sudo lspci -vvnn > lspci-vvnn.log

Please be sure to attach each file as a separate attachment. For more information regarding the kernel team bug policy, please refer to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we appreciate your help and feedback.

Changed in linux-source-2.6.20:
status: New → Incomplete

I get this error message:
[drm:i915_wait_irq] *ERROR* i915_wait_irq

on a fresh installed ubuntu 7.10 - my System is a X61s from Lenova, lspci:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
05:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
05:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
05:00.2 Generic system peripheral [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 21)

This happens, if i want to play ut2004 ...

Peter

Peter Cordes (peter-cordes) wrote :

> Peter, now that the 7.10 Gutsy Gibbon release of Ubuntu is out, we were wondering if you can still reproduce this issue.

 I haven't tried, since I'm still using the latest git mesa and drm (kernel and userspace).

 Next time I'm planning to reboot anyway, I'll try to remember to switch back to the shipped kernel drm modules, and all that.

Brian> fixed in Gutsy
 I don't think that thread sheds any light on this. g965 usually worked even in Feisty, but some GL apps triggered bugs.

Peter F> lockups with gm965
 If you haven't tried using the latest git drm and mesa, you might want to try. I'll attach a script I use to run git-pull, compile and install drm and mesa. Run it from a directory where you have a "drm" and a "mesa" directory, from doing a
git-clone something://whatever
You'll need kernel headers, e.g. linux-headers-[versionnumber]-generic
There's some good info on freedesktop.org about building things from git.

 I hope that's enough info to get you started.

Thanks Peter C. I'm flipping the status to Incomplete until we hear a report back from you regading stock Gutsy drm modules. Also marking Importance to "Medium". However against the linux-source-2.6.20 package this is being marked as "Won't Fix" as it does not meet the criteria for a stable release update. To learn more about the stable release update process please refer to https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

Changed in linux-source-2.6.22:
importance: Undecided → Medium
status: New → Incomplete
Changed in linux-source-2.6.20:
status: Incomplete → Won't Fix

I checked out the git trees, ran you script (had to comment out the 64 bit mesa stuff)
After this, i backed up my drm.ko und i915.ko and copied over the newly compiled
i915 identifies itself as 20070209 version, according to dmesg.

X loads fine, glxgears is working, glxinfo works, too (DRI is enabled)

Playing Unreal Tournament crashes again with the following error:
[16033.984000] [drm] Initialized i915 1.11.0 20070209 on minor 0
[16215.568000] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 325763 emitted: 325880
[16218.572000] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 325763 emitted: 325880

this is a hard freeze :-(

LG
Peter

I have the same type of hard freeze happening on my laptop when I run openarena (quake like game).

kubuntu 7.10
openarena 0.6.0-4

$ uname -a
Linux asus 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

$ lspci
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

$ dpkg -l xserver-xorg
ii xserver-xorg 1:7.2-5ubuntu13 the X.Org X server

$ dpkg -l *drm*
ii libdrm2 2.3.0-4ubuntu1 Userspace interface to kernel DRM services -- runtime

$ less /var/log/Xorg.0.log.old
Oct 25 17:07:04 asus kernel: [30737.188000] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 5 emitted: 7
Oct 25 17:07:08 asus kdm[4910]: X server for display :0 terminated unexpectedly
Oct 25 17:13:27 asus syslogd 1.4.1#21ubuntu3: restart.

Peter Cordes (peter-cordes) wrote :

> I checked out the git trees, ran you script (had to comment out the 64 bit mesa stuff)

 I'm glad you figured it out, since I created it for my own use and didn't take time to clean it up before posting it.

 Did your mesa get compiled with -fno-strict-aliasing? It needs that, maybe especially if you use a higher level of optimization than -O1. I'll attach a patch for configs/linux-dri-x86 (which again you'll have to clean up, because it changes lib_dir to lib32, for use on amd64 Ubuntu.)

> i915 identifies itself as 20070209 version, according to dmesg.

 good.

 Check your other mesa versions with
LIBGL_DEBUG=verbose MESA_VERBOSE=1 glxgears
(and/or glxinfo)

Leann> I'm flipping the status to Incomplete until we hear a report back from you regading stock Gutsy drm modules. Also marking Importance to "Medium".

 I have been unable to cause any lockups on Gutsy (kernel version sig Ubuntu 2.6.22-14.46-generic. I hadn't noticed that /proc file before :). I booted with just the Ubuntu version of the drm kernel modules, and ran stuff with LD_LIBRARY_PATH=/usr/lib LIBGL_DEBUG=verbose MESA_VERBOSE=1 nexuiz so I could verify that it was using /usr/lib/dri/i965_dri.so, not /usr/local/lib/dri. I checked with lsof that it's using the /usr/lib versions of all the libraries.

 Anyway, using stock Gutsy everything, I ran nexuiz and enabled all the eye candy (including HDR and dynamic lighting/shadows) at 1680x1050. timedemo demos/demo3 runs at < 3 fps, and sometimes down to 1 fps (on a g965, E6600, 4GB of DDR2-800). On edgy and feisty (with the previous version of Nexuiz, though), really low framerates would fairly consistently lock up my g965. I ran all five demos probably a couple times each.

 So I think it's fair to say that on desktop g965 hardware (Intel DG965WH motherboard), Gutsy no longer has problems. Or at least it's much better than Feisty. I'll try openarena, in case it reveals problems.

Leann> However against the linux-source-2.6.20 package this is being marked as "Won't Fix" as it does not meet the criteria for a stable release update.

 I agree. I think I replied to this bug on the 2.6.20 page without thinking. The Debian BTS just has bug numbers... Although they probably do something special for kernel bugs, because they use package names with the kernel version in it, too.

- I applied your patch, changed the diff file to put it stuff to /usr/local/lib

- recompiled
[ 846.044000] [drm] Initialized drm 1.1.0 20060810
[ 860.436000] PCI: Setting latency timer of device 0000:00:02.0 to 64
[ 860.436000] [drm] Initialized i915 1.11.0 20070209 on minor 0

- output of LIBGL_DEBUG=verbose MESA_VERBOSE=1 glxgears:
fritsch@xwing:~/ut2004$ LIBGL_DEBUG=verbose MESA_VERBOSE=1 glxgears
libGL: XF86DRIGetClientDriverName: 1.8.0 i965 (screen 0)
libGL: OpenDriver: trying /usr/lib/dri/i965_dri.so
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 4, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 4, (OK)
drmOpenByBusid: drmOpenMinor returns 4
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
libGL warning: 3D driver claims to not support visual 0x64
libGL error:
Can't open configuration file /etc/drirc: No such file or directory.
5087 frames in 5.0 seconds = 1016.608 FPS
5571 frames in 5.0 seconds = 1114.079 FPS
5766 frames in 5.0 seconds = 1153.009 FPS
4888 frames in 5.0 seconds = 977.439 FPS
5514 frames in 5.0 seconds = 1102.719 FPS
5819 frames in 5.0 seconds = 1163.668 FPS
5820 frames in 5.0 seconds = 1163.920 FPS

-Playing of ut2004:
[ 1219.860000] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 1102440 emitted: 1102516

Did I do something wrong with your scripts?

Oki - I try the following:
http://packages.debian.org/sid/libgl1-mesa-dri

I`ll recompile the debian unstable mesa packages (much easier dpkg-buildpackage) - they bring "latest intel fixes" as seen in the changelog
together with the new kernel modules (from git) i`ll give it a try - reporting back

ii libgl1-mesa-dev 7.0.1-2 A free implementation of the OpenGL API -- G
ii libgl1-mesa-dri 7.0.1-2 A free implementation of the OpenGL API -- D
ii libgl1-mesa-glx 7.0.1-2 A free implementation of the OpenGL API -- G
ii libglu1-mesa 7.0.1-2 The OpenGL utility library (GLU)
ii libglu1-mesa-dev 7.0.1-2 The OpenGL utility library -- development fi
ii mesa-common-dev 7.0.1-2 Developer documentation for Mesa
ii mesa-utils 7.0.1-2 Miscellaneous Mesa GL utilities

togehter with kernel modules build from drm git

Same problem!

Giving up - sorry

Peter Cordes (peter-cordes) wrote :

> libGL: OpenDriver: trying /usr/lib/dri/i965_dri.so

 Unless you replaced that file yourself, then your attempt to install mesa from git was not successful... You should be basically applying the changes I make to the 64bit config to your 32bit config, since you're running a 32bit system.

I get
peter@tesla:~$ LIBGL_DEBUG=verbose MESA_DEBUG=1 glxgears
libGL: XF86DRIGetClientDriverName: 1.8.0 i965 (screen 0)
libGL: OpenDriver: trying /usr/local/lib/dri/i965_dri.so
...

 because I changed the config file to make it look for the dri library in /usr/local/lib/dri.

 Good idea using Debian's packages. That's probably sufficient. It's surprising it doesn't work. I didn't know if there are any major differences between the g965 and the mobile gm965, but I would be surprised. OTOH I'm not trying ut2004.

  I'll try something that uses texture compression, since in the past I've found that always locked up. (even FXT1, not just DXTn with the external library).

 BTW, I played openarena for a couple hours this afternoon with no problems on my system (with Gutsy's mesa and drm). Of course, I'm using a g965, not an 855GM. I've found lockups are more common at lower frame rates, and openarena doesn't have enough eye candy to slow down a g965.

Peter Cordes (peter-cordes) wrote :

> this is a hard freeze :-(

 usually what happens is the X server exits, leaving the video hardware displaying whatever it was at the time. So the mouse doesn't move the cursor, and you can't ctrl+alt+f1 (because no X server is listening for that key combo.) However, it's only X that's affected. If you have another computer you can ssh in from, you can shut down cleanly. Or Alt+sysrq+r to take the keyboard out of "raw" mode, so e.g. ctrl+alt+delete should shut down cleanly. or hold alt+sysrq and hit s, then u, then b. (to sync, umount, and reboot.) The power button should also shut down cleanly.

 When X crashes like this, restarting it is no good. The video hardware is in some weird state and only re-POSTing will help, which only happens on a reboot or when coming back from a suspend/resume.

oki - i try again, with the debian unstable packages and dri modules after a reboot.

btw. quake3 arena runs for hours, without a crash 1024 high details

[ 32.068000] [drm] Initialized i915 1.11.0 20070209 on minor 0
[ 246.540000] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 380492 emitted: 380576
[ 249.540000] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 380492 emitted: 380576

and the same again

You could fetch the ut2004 demo from holarse.net and try the deathmatch level antalus

have fun

Peter Cordes (peter-cordes) wrote :

> You could fetch the ut2004 demo

 The demo only has one level per game type, so I couldn't try the map you suggested... I was able to reproduce the lockups with ut2004 on my system. So although gutsy is much better than feisty or edgy were, it's still not perfect.

 I got lockups most quickly on the "bombing run" match type. It locked up within a minute on that, after ~half an hour of the assault. This was at 1024x768, dynamic lights disabled. Lockups seemed equally frequent with all three combinations I tried: gutsy kernel and userspace; gutsy kernel + git libdrm and mesa; git kernel drm + git libdrm and mesa.

 The error messages were always the same.
[14217.783425] [drm:i915_wait_irq] *ERROR* i915_wait_irq: EBUSY -- rec: 15060137 emitted: 15060382

 The end of Xorg.0.log (after killing ut2004-bin, since X didn't exit or log errors until ut died):
Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0xcff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 780a0101
LP ring tail: 1bbe8 head: 1a448 len: 1f001 start 0
Err ID (eir): 0 Err Status (esr): 1 Err Mask (emr): ffffffdf
instdone: ffe5fafd instdone_1: ffffc
instpm: 0
memmode: 0 instps: 8001e023
HW Status mask (hwstam): fffedffe
IRQ enable (ier): 82 imr: fffe0000 iir: 40
acthd: 5e9c044 dma_fadd_p: 5e9c140
ecoskpd: 307 excc: 0
cache_mode: 6800/180
mi_arb_state: 44
IA_VERTICES_COUNT_QW 0/0
IA_PRIMITIVES_COUNT_QW 0/0
VS_INVOCATION_COUNT_QW 0/0
GS_INVOCATION_COUNT_QW 0/0
GS_PRIMITIVES_COUNT_QW 0/0
CL_INVOCATION_COUNT_QW 0/0
CL_PRIMITIVES_COUNT_QW 0/0
PS_INVOCATION_COUNT_QW 0/0
PS_DEPTH_COUNT_QW 0/0
WIZ_CTL 0
TS_CTL 0 TS_DEBUG_DATA b365895b
TD_CTL 0 / 0
space: 125016 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0x1efff000 at 0x2af313ecd000

Fatal server error:
lockup

 Those messages don't look familiar, so I think they must have fixed one thing, and ut2004 is uncovering another problem.

 So gutsy still has problems, but so does the latest git kernel+userspace. :( So at this point backporting the kernel drm into the gutsy kernel won't help anything, AFAIK. This might be more of a mesa dri bug, not a drm bug.

 I'm having fun with ut2004 on my old s754 athlon64 + 7600gt, though. :)

  I'll report this on freedesktop.org.

Thanks for the updates Peter C. Per your comments it sounds like the bug this report was originaly about has been resolved. As a result I am going to mark this bug as 'Fix Released'. However it appears that you may have discovered other issues. Please feel free to open a new bug report regarding those issues.

Peter F, it seems you have slightly different hardware than what Peter C originally reported against. If your issue persists can you please open up a new report as well.

Please continue to use this report as a means of communication if it is helpful. Thanks again for your feedback and helping to make Ubuntu better. And please continue to file reports for any future bugs you encounter. Thanks!

Changed in linux-source-2.6.22:
status: Incomplete → Fix Released
Peter Cordes (peter-cordes) wrote :

This did turn out to look the same as the lockups I had seen before with SPECViewperf.

 See https://bugs.freedesktop.org/show_bug.cgi?id=7962, where I've mentioned this bug, and passed along the info about the ut2004 lockups.

nbubis (nbubis) wrote :

I seem to have the same problem with a fresh install of gutsy as well. running 3d apps (blender, k3d) locks up X. I'm running on a dell 1420n with a 965 GMA.
Is this really an error with the kernel modules? is there a solution \ workaround for this problem?
Error in I830WaitLpRing(), timeout for 2 seconds
...
cache_mode: 6800/180
mi_arb_state: 44
IA_VERTICES_COUNT_QW 3/0
IA_PRIMITIVES_COUNT_QW 1/0
VS_INVOCATION_COUNT_QW 0/0
GS_INVOCATION_COUNT_QW 0/0
GS_PRIMITIVES_COUNT_QW 0/0
CL_INVOCATION_COUNT_QW 0/0
CL_PRIMITIVES_COUNT_QW 1/0
PS_INVOCATION_COUNT_QW 15180/0
PS_DEPTH_COUNT_QW 3e8c1d6a/0
WIZ_CTL 0
TS_CTL 0 TS_DEBUG_DATA 2f6fefd
TD_CTL 0 / 0
space: 129576 wanted 131064
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8def000 at 0xb7c3c000

Fatal server error:
lockup

(II) AIGLX: Suspending AIGLX clients for VT switch
Error in I830WaitLpRing(), timeout for 2 seconds
pgetbl_ctl: 0x7ff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 79000002
LP ring tail: 5d8 head: 0 len: 1f001 start 0
Err ID (eir): 0 Err Status (esr): 1 Err Mask (emr): ffffffdf
instdone: 3fe5fafd instdone_1: ffffb
instpm: 10
memmode: 0 instps: 8001e022
HW Status mask (hwstam): fff8dffe
IRQ enable (ier): 2 imr: fff80000 iir: 20
acthd: 3c3b278 dma_fadd_p: 3c3b300
ecoskpd: 307 excc: 0
cache_mode: 6800/180
mi_arb_state: 44
IA_VERTICES_COUNT_QW 3/0
IA_PRIMITIVES_COUNT_QW 1/0
VS_INVOCATION_COUNT_QW 0/0
GS_INVOCATION_COUNT_QW 0/0
GS_PRIMITIVES_COUNT_QW 0/0
CL_INVOCATION_COUNT_QW 0/0
CL_PRIMITIVES_COUNT_QW 1/0
PS_INVOCATION_COUNT_QW 15180/0
PS_DEPTH_COUNT_QW 3e8c1d6a/0
WIZ_CTL 0
TS_CTL 0 TS_DEBUG_DATA 2f6fefd
TD_CTL 0 / 0
space: 129568 wanted 131064

FatalError re-entered, aborting
lockup

On Fri, Nov 23, 2007 at 12:12:29PM -0000, nbubis wrote:
> I seem to have the same problem with a fresh install of gutsy as well. running 3d apps (blender, k3d) locks up X. I'm running on a dell 1420n with a 965 GMA.
> Is this really an error with the kernel modules? > is there a solution \ workaround for this problem?

 AFAIK, gutsy is as stable as the latest git versions of libGL (and
/usr/lib/dri/i965_dri.so), libdrm, kernel-side drm.

 Also AFAIK, the fix for the graphics lockups could be in any of those
pieces of software.

  When I say "as stable", I don't mean perfectly stable. e.g. ut2004-demo
locks up my g965 quite easily. So does SPECviewperf 9.0.3's tcvis. It is
better than e.g. Edgy, where even some screensavers could lock it up.

--
#define X(x,y) x##y
Peter Cordes ; e-mail: X(peter@cor , des.ca)

"The gods confound the man who first found out how to distinguish the hours!
 Confound him, too, who in this place set up a sundial, to cut and hack
 my day so wretchedly into small pieces!" -- Plautus, 200 BC

nbubis (nbubis) wrote :

keeps crashing on Hardy Heron (alpha1) as well!
this includes xorg7.3 and updated mesa and libdrm pckgs.

I find it hard to believe that so many people with this chip are incapable of running basic 3D software..

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.